  -- StrongDC++ 2.40 --

* poprvé 64-bit release
* aktualizováno na nejnovější jádro DC++ BZR
* lze vytvořit spojení mezi 2 pasivními uživateli
* spousta vylepšení a oprav pro DHT
* DHT pakety jsou šifrovány
* oprava padů
* doplněno pár chybějících vlajek států (THX RadoX)
* snad opraveno UTF-8 v magnet linkách (FlyLinkDC++)
* přidána adresa hubu do kontextového menu ve frontě
* změněny výchozí seznamy souborů
* aktualizace knihoven OpenSSL, Boost a WTL
* přidány skupiny pro oblíbené huby
* optimalizace chatu (THX Crise)
* vzhled kopíruje nativní téma Windows
* cesta k souboru s překladem nyní může být relativní k adresáři se strongdc.exe
* hodnota omezení rychlosti odesílání se zobrazuje ve sloupci Připojení (huby by měly aktualizovat své skripty)
* odstraněna kontrola TestSUR
* spousta dalších oprav, změn atd. viz seznam změn pro vývojáře


  -- StrongDC++ 2.30 --
  
* opraveny tokeny pro odesílání (extra sloty, fronta odesílání atd.)
* přidán řetězec detekce starých klientů
* pokud není k dispozici částečný seznam souborů, bude stažen úplný
* opraveny problémy při vypnutém segmentovém stahování (DC++ BZR)
* opraven pád při velkém počtu spojení (DC++ BZR)
* opravena informace o slotech v ADC hubech
* opravena aktualizace vlastních informací při zapnutí omezovače na toolbaru
* vylepšeno ruční hledání něčeho, co je naplánováno pro automatické hledání
* opraveny problémy s OpenSSL
* lepší detekce hubu při client-to-client spojeních
* snad opraveny problémy s extra sloty
* odeslání pozice ve frontě a šifrování jsou zapnuty, i když je aktivována emulace
* implementace vyhledávacího nástroje DHT (vyžaduje otevřený UDP port 6245)
* přepsán omezovač rychlosti
* nějaký další změny, opravy, optimalizace paměti atd.
 

	-- StrongDC++ 2.22 --

* lepší detekce URL v chatu
* oprava stability - teď už je to skoro perfektní :)
* odstraněna detekce stejných číslic ve velikosti sdílení
* změněna výchozí URL na profily klientů
* opravena grafika při 16-bitové barevné hloubce
* přepínání klávesou TAB funguje v okně se soukromou zprávou
* zkratka ctrl+m pro poslání soukromé zprávy v seznamu uživatelů
* opraveno ztrácení aktivity ve stromě v nastavení
* oznamování podpory TLS v NMDC hubech
* malá optimalizace paměti
* přidána podpora pro zabezpečené HTTP připojení (https://)
* změněny binární předpony, aby souhlasily se standardem IEC 60027-2
* přidány extra sloty pro částečné sdílení
* opraveno kopírování informací o složkách v seznamu souborů
* záložky se nezvýrazňují při dokončení seznamu souborů/testsuru
* alternativní zdroje jsou přidávány i při vypnutém automatickém hledání
* porovnávání fronty nyní stahuje pouze částečný seznam souborů
* neúspěšné častečné seznamy souborů jsou odstraněny z fronty
* dočasný cílový soubor je kontrolován na svou existenci před navázáním stahování
* přidána podpora TLS pro připojení k NMDC hubu (nmdcs://)
* změněno na stabilní verzi OpenSSL
* vylepšena velikost segmentu pro částečné sdílení
* opraveno zobrazování názvu ADC hubu v seznamu uživatelů
* opraveny chybné stavové ikony v seznamech při použití filtrování
* opraveno možné poškození souboru při pádu
* spousta dalších oprav (viz seznam změn pro vývojáře)


	-- StrongDC++ 2.21 --

* opravy stability
* opravy šifrovaných přenosů
* řetězce v nastavení certifikátů lze přeložit
* nastavení "Odesílat neznámé příkazy na hub" se aplikuje i na soukromé zprávy
* přidán sloupec se šifrou do okna přenosů
* nefiltrované zprávy o kopnutí jsou obarvené jako zprávy serveru
* přidána hláška při žádání o slot
* odstraněn starý příkaz pro odesílání bordelu


	-- StrongDC++ 2.2 --

*** VAROVÁNÍ ***
  Všechna spojení mezi StrongDC++ jsou nyní automaticky šifrovány.
  Pokud se vyskytnou problémy, můžete to vypnout v nastavení bezpečnostních certifikátů.

  Od této verze nelze používat přímé spojení na portech 80 a 2501.
*** VAROVÁNÍ ***

* přidany nějaké další knihovny, které by mohly způsobit pád
* opraveno sdílení podsložek složky Windows
* opraveny problémy s vypnutým segmentovým stahováním
* opravena možnost shodit program na dálku (THX Fartman)
* celé složky lze stáhnout aniž by se musel stahovat celý seznam souborů
* přidáno "Procházet seznam souborů" do výchozích akcí seznamu uživatelů/přenosů
* opraveny uživatelské příkazy v kontextovém menu soukromých zpráv
* aktualizován bzip2
* opraveny nějaké problémy s výsledky hledání (DC++ BZR)
* nějaké opravy ve formátování chatu
* opraveno několik málo pádů
* implementováno Rychlé vyhledávání (ApexDC++)
* opravena celková velikost dokončených položek
* přidána volba pro umístění uživatelských příkazů mimo submenu
* pozice a velikosti lišt jsou ukládány
* interval pro hledání je závislý na hubu
* nastavení slotů má svojí vlastní stránku
* ADL hledání se provádí přes regulární výrazy
* přidána volba pro nastavení maxima automaticky otevřených slotů (Kulmegil)
* implementovány nějaká vylepšení do dialogu o stavu hashování (Kulmegil)
* opraven únik paměť v nastavení sítě (ApexDC++)
* opravy pro částečné sdílení souborů
* přidána podpora pro šifrované přenosy v NMDC hubech
* implementován nový systém detekce klientů (THX adrian_007)
* přidána dočasná oprava, aby se předešlo spamování portů 80 a 2501


	-- StrongDC++ 2.13 --

* zvýšen výkon celého programu
* opraveno nastavení sloupečků
* opraveny nějaké pády
* opraven počet výsledků vyhledávání
* opraveno načtení starých hublistů
* opraveno otevření logů z chatu
* opraveno obnovení seznamu uživatelů v ADC hubech
* vylepšena automatická velikost segmentů (DC++ SVN)
* vylepšeno měření ryclosti přenosů (DC++ SVN)
* lze používat stejný název u sdlených virtuálních složek (DC++ SVN)
* opraven chybějící stav "Stažené části" ve frontě
* složka Windows nebude sdílena
* nějaké další opravy a optimalizace


	-- StrongDC++ 2.12 --

* opraveno pár vzácných pádů
* opraveno počítání položek ve stromech (hledání, přenosy)
* opraven zbývající čas u uploadů
* přidáno překrývání pomalých segmentů když se stahování souboru blíží ke konci
* optimalizace CPU pro uživatelské přezdívky
* opraven stav posledního segmentu v okně přenosů
* už se nepoužívá přípona .antifrag (staré dočasné soubory jsou stále podporovány)
* změněn způsob automatického skrolování chatu
* přepsán kód menu v chatu
* odstraněna volba pro vypnutí skutečné fronty na sloty
* odstraněna detekce špatného softwaru
* vylepšeno sdílení částečných souborů
* opraveno možné zatuhnutí
* zobrazena hláška "Všechny stahovací sloty obsazeny" když se dosáhne maximálního počtu segmentů
* odstraněno horizontální rozložení chatu/seznamu uživatelů, aby šlo kompilovat se standardním WTL
* další opravy


	-- StrongDC++ 2.11 --

* opravena spousta pádů
* opraven problém s minisloty
* opravena velikost souboru ve frontě čekatelů na slot
* opraven překlad DNS pro IP u oblíbených hubů
* navráceno ukládání privní přezdívky uživatele, aby byla známa i když se odpojí
* opraveno ukládání částečně stažených segmentů
* opraveno antifragmentační stahování
* oznámení o dokončeném stahování je zobrazeno pouze pokud je stažen celý soubor
* pole pro heslo Socks5 není čitelné
* snad opraveny problémy se stahováním ze seznamů souborů
* nyní kompilováno pod VS 2008
* aktualizace bzip2
* opraven problém s kódováním přezdívek v nmdc připojeních (DC++ SVN)
* autopriota je zapnuta pouze pokud není zvolena jiná priorita
* pro velmi rychlé uživatele se použije dvojnásobná velikost segmentu
* opět dovoleno pouze jedinečné TTH ve frontě
* opraveno nahlášení neexistujícího seznamu souborů (THX redsaq)
* oprava pro pomalé routery (THX klirik)
* změna bloom filtrů (DC++ SVN)
* opraven problém s výsledky hledání
* přidány položky menu uživatele do kontextové nabídky v okně PM


	-- StrongDC++ 2.1 --

*** VAROVÁNÍ ***
  Tato verze poruší informace o stažených částech ve vaší frontě.
  Je doporučeno dokončit všechna započatá stahování před aktualizací.
  Fronta nebude smazána, pouze vše bude stahováno od začátku.
*** VAROVÁNÍ ***

* přepsán kód segmentového stahování
* místo CID se zobrazuje "Uživatel nepřipojen"
* maximální interval pro vyhledávání lze nastavit až na 9999 sekund
* v okně Dokončená odesílání se zobrazuje celá velikost souboru
* v menu "Stáhnout do - Přidat jako zdroj" se zobrazuje pouze název souboru
* velikost segmentu je zvolena podle poslední rychlosti stahování od uživatele


	-- StrongDC++ 2.06 --

* opravena spousta pádů
* přidány informace o spoustě knihoven, které by mohly způsobit pád aplikace
* při porovnání fronty je zobrazen počet skutečně přidaných alternativ
* změny v odpojování pomalých stahování
* pro částečné zdroje se volí náhodný segment
* lepší obarvování progresbarů u přenosů
* opraveno hlášení "Stahování začíná"
* opraveno kódování URI ve Webserveru
* yaSSL nahrazeno OpenSSL
* nějaké změny z DC++ 0.705 SVN
* odstraněno automatické odpojení přenosu, pokud rychlost klesla pod 1B/s
* snad opraveny problémy s časovačem (rekonekt, špatný uptime atd.)


	-- StrongDC++ 2.05 --
	
* opravena spousta pádů
* opraveno zobrazování typu připojení
* opraveno pasivní vyhledávání s přezdívkami v unikódu (THX PPK za nahlášení)
* velká optimalizace paměti a procesoru
* přidána opravdová fronta na sloty (nápad z Possum modu)
* opravena hláška "Invalid request", pokud bylo vypnuto antifragmentační stahování
* odstraněny staré typy připojení
* odstraňování diakritiky z českých znaků je nyní standardně vypnuto
* přidán "Malware MSIU32" do seznamu aplikací způsobujících pád StrongDC++
* příkaz bordelu není odesílán při zaplé emulaci DC++
* optimalizovány tabulky virtuálních funkcí
* opraveno uživatelské menu v hlavním chatu
* přidána položka "Vše" do okna fronty na odesílání pro zobrazení všech souborů od všech uživatelů
* aktualizace profilů klientů (THX Toast)
* spousta dalších oprav - viz Seznam změn pro vývojáře


	-- StrongDC++ 2.04 --

* aktualizace na DC++ 0.699
* opraveno vytuhnutí při některých operacích ve frontě
* opraveny nějaké memory leaky (THX redsaq)
* při chybě TTH už nebude zdroj odebrán z fronty
* pokud neexistuje dočasný soubor, tak bude soubor stažen celý znovu
* opraven chybějící řetězec Pk a Lock v některých případech
* opravena chybná velikost sdílení
* opravena chyba, že hláška "too many same numbers" nemohla být vypnuta
* snad opraven tichý pád v seznamu filelistů ve frontě (THX BugMaster za nalezení problému)
* vylepšen čas reakce na zavření připojení
* sníženy nároky na pamět s velkou frontou a velkými seznamy uživatelů
* klepnutím pravým myšítkem na uživatele funguje i při vypnutém seznamu uživatelů
* při minimalizaci do systémové lišty se nastaví podprůměrná priorita procesu
* přidán "ProxyFilter - Hide My IP 2007" do seznamu aplikací způsobujících pád StrongDC++
* opraven vzácný pád při hledání escape znaků (např. |||)
* pokud nemáme pro hub heslo, použijeme výchozí přezdívku při vložení tohoto hubu do oblíbených
* okno Oblíbené huby umí řazení sloupců
* přidána podpora pro smajlíky s alfa kanály
* opraven problém se změnou barev a chybějícími ikonkami v seznamu uživatelů
* "opraven" pád ve FileChunksInfo::verifyBlock pokud nelze alokovat blok v paměti
* cache pro vykreslování progressbarů, je to mnohem rychlejší
* odstraněny sloupce Pk a Rychlost uploadu ze seznamu uživatelů
* opraven jeden z možných vzdálených útoků
* úplně odstraněna podpora $PSR
* opravy pro ADC
* přidáno pár hublistů


	-- StrongDC++ 2.03 --

* opraveny nějaké pády
* snad opraveny absolutní cesty
* aktualizace STLPortu
* aktualizace WTL
* starý vzhled sdílení je nastaven jako výchozí pro Win9x
* aktualizace na DC++ 0.695
* formát počtu uživatelů je "X/Y Uživatelů" pokud jsou nějací uživatelé skrytí
* vylepšení výkonu
* bufer soubor je uložen na disk při ukočení stahování
* odstraněna ikonka zeleného/červeného štítu ve frontě
* automatická priorita nenastavuje nejnižší prioritu
* pracovní sada procesu je vyprázdněna každých 5 minut
* pár oprav pro zpožděnou hlášku "Odesílání dokončeno"
* pokud je zjištěna privátní IP, tak je standardně nastaven pasivní režim

	-- StrongDC++ 2.02 --

* opraven časovač vypínání
* opraveno pozdní odpojení uploadu
* snad opraveno řazení podle času a rychlosti
* opraven problém s otevíráním záznamů
* odstraněny přezdívky z vyhledávacího špióna - šetří paměť a je to anonymní
* opraven dvojklik na nesegmentový soubor v Přenosech
* opraven náhled popupu v nastavení
* opraveny nějaké GDI leaky (+ odstraněny nabídky ve stylu XP)
* ušetřena paměť pro velké fronty a velké huby
* hláška "Odesílání dokončeno" je zpožděna o 5 sekund, aby se předešlo zbytečnému blikání při dokončení segmentu
* přidána značka [C] pro označení segmentových přenosů
* opraveno načítání přezdívek z Users.xml
* ikona firewallu zobrazena všem uživatelům
* přidána volba pro neoznamování nových verzí (version.xml je stále stahován)
* opraveno zobrazování odchozích PM, pokud jsou příchozí PM zobrazeny v hlavním chatu
* segmentování založené na velikosti není tak přísné
* opraveno zdvojování výsledků hledání při aplikovaném filtru
* počet oken soukromých zpráv omezen na 200 aby se předešlo vzdálenému zneužití
* odstraněny některé nepotřebné sloupce v seznamu uživatelů
* požadavek na vyhledávání je odstraněn z fronty při zavření vyhledávacího okna
* opraven problém s otevíráním nekompletních filelistů
* vždy je zobrazena pouze jedna přezdívka místo všech přezdívek uživatele
* přidána volba pro nastavení počtu pokusů na stahování za sekundu
* když je stahování dokončeno, bude odstraněno dříve a lze ho odstranit pomocí Zavřít spojení
* opraveno znovuvytváření dokončeného souboru, pokud je smazaný a někdo ho chce stahovat
* přidána volba pro vyžadování stisknutí Enteru k aplikaci filtru uživatelů/hledání
* segmenty pro automatické odpojení jsou zkontrolovány každých 40 sekund (místo 20 sekund)
* snad opraven problém s nastavením hlášky o podvádění pro fakery se spoustou stejných čísel ve velikosti sdílení
* dočasná oprava pro zobrazení OP příkazů při vybrání uživatelů z více hubů v okně vyhledávání
* více souborů se stejným TTH lze přidat pouze pokud je velikost souboru pod 2 MB
* opraven deadlock v okně CDM Debug messages
* zobrazeno "Offline" jako název hubu, pokud uživatel není na hubu
* změněn formát pro výsledky částečných souborů
* opravena chyba, že maximální počet zdrojů pro hledání alternativ nemohl být nastaven přes 15
* pokud je odpojen pomalý uživatel, v menu Znovu přidat zdroj bude zobrazena jeho rychlost
* konečně opraven velmi starý bug s nefungujícíma tooltipama, pokud jednou zmizí
* přidána podpora $HubTopic (iDC++)

	-- StrongDC++ 2.01 --

*** VAROVÁNÍ ***
  Tato verze opravuje bezpečnostní chybu, aktualizujte pokud nechcete zažít runtime chyby
*** VAROVÁNÍ ***

* opraven bug při detekci faku
* opraven bug, že tečky v názvech log souborů byli převedeny na _
* opraven pád při porovnávání filelistů
* opraveno načítání skrytých sloupců ve frontě
* boti by neměli být kontrolováni při vstupu
* přidán důvod do menu Znovu přidat zdroj, pokud nastane TTH inconsistency
* opravena runtime chyba, když pouze <nick> bez zprávy přijde do mainchatu (THX darwusch)
* používáno UTF8 pro získání seznamu souborů od ADC uživatelů
* opraveno sdílení dokončených souborů (THX MaynardK)
* opraveno odstraňování diakritiky z národních znaků
* vždy se používají STL výjimky, aby se předešlo runtime chybám
* soubory *.antifrag a *.dctmp jsou vždy odsdíleny bez ohledu na nastavení "Odstranit zakázané"

	-- StrongDC++ 2.00 --

!!! Tato verze poruší zdroje u vašich souborů ve frontě a oblíbené uživatele, takže o ně přijdete !!!

* změněna grafika
* rozdělování segmentů s ohledem na rychlost stahování
* ověření staženého bloku na konci segmentu
* opravena spousta deadlocků
* opravena spousta pádů
* opravena spousta memory leaků
* aktualizováno na poslední DC++ SVN
* aktualizováno na STLPort CVS a WTL CVS
* přidány nějaké AMD/MMX/SSE CPU optimalizace
* měla by běžet na Win9x
* přidáno sdílení dokončených souborů
* zlepšení výkonu
* odstraněny některé staré funkce (Info o MP3, Kontrola SFV...)
* projekt portován na Visual Studio .net 2005
* předělán user filter - pro aktivaci filtrování je vždy třeba zmáčknout Enter
* pro kompletní changelog viz cvs-changelog.txt

	-- StrongDC++ 1.00 RC10 --

* opraven problém s mezinárodními přezdívkami
* opraven problém s unicode znaky v časových známkách
* přidána volba akce pro dvojklik v seznamu uživatelů, v chatu a v přenosech (CZDC++)
* přidána volba pro automatické přepnutí na rychlejšího uživatele na konci stahování
* opraven uplynulý čas stahování
* opraveno zobrazení progressbarů pro soubory > 2GB
* přidána podpora segmentů pro GetZBlock a UGetBlock
* opraven pád v kritické sekci QueueManageru
* přepsána fronta hledání (THX Naga)
* vráceno odstraňování diakritiky v chatu (THX popKorn)
* přidáno seskupování dokončených segmentů v Dokončených uploadech
* odstraněna globální emulace; je-li to nutné použijte lokální pro jednotlivé huby; všechny funkce segmentového stahování lze použít pouze při vyplé emulaci
* přidána volba pro vypnutí segmentového stahování a použití standardního způsobu s rollbackem
* přidána volba pro zobrazení informací o segmentu na progressbarech
* přidáno více barev do seznamu uživatelů (CZDC++)
* můžete použít %[targetdrive] v cestě Dočasného adresáře (např. "%[targetdrive]\Temp\DCdownloads\") (BCDC++)
* stahovací sloty neplatí pro seznamy souborů
* opraveno řazení ve frontě čekatelů na slot
* snad opraven problém s odstraňováním uživatelů z fronty
* opraveno unicode ve webserveru
* seskupování výsledků hledání je závislé na velikosti souboru
* přidána volba pro použití starého oDC stylu progressbarů
* přidána detekce ZoneAlarmu (Zion++)
* změněna politika omezovače uploadu na 5*(sloty+1), aby se respektovaly pravidla DC
* vylepšeno nastavení sloupců seznamů (CZDC++)
* vylepšeno nastavení režimu připojení zavislé na hubech
* konečně opraveno odebrat zdroj(e) a znovuvložení, snad :)
* přidána zkratka Ctrl+A pro vybrání všech položek v seznamu
* opraveno zdvojování položek v nastavení barev
* příkaz na odesílání bordelu změněn na formát protokolu NMDC, už by to nemělo timeoutovat
* opraveno nastavení maxima alternativních zdrojů
* přidán do chatu příkaz /csfd (THX Atom)
* přidána zvuková událost při psaní do chatu
* znovu přidáno automatické odpojování zdrojů pod 1.2 kB/s, aby se předešlo zneužívání segmentového stahování
* přidán důvod do menu Znovu vložit zdroj ve frontě
* emulace DC++ je zapnuta při připojování k hubu použitím Rychlého připojení
* stahování je odpojeno, když je priorita změněna do pauznutého stavu
* změněno ukládání fronty ze sekund na minuty, aby se předešlo poškození souboru při pádu
* opraveno načítání ikon ze souboru
* přidáno nastavení povolených timeoutů/odpojení
* opraven memory leak v titulcích nabídek
* opraven memory leak ve frontě čekatelů na slot
* opraveno skrolování při přepínání oken hubů
* přidán dialog se smajlíkama (THX Rm.)
* opraven vzácný deadlock při nalezení fakera
* přidána podpora pro balíky emotikonů (uložte je do podsložky EmoPacks)
* přepsán kód pro seskupování downloadů v Přenosech
* přidáno sdílení částečných souborů (nápad z RevConnectu)
* hodně dalších věcí, které nejsem schopen sepsat
* opravena kritická chyba v knihovně zlib


	-- StrongDC++ 1.00 RC9 --

*** VAROVÁNÍ ***
Tato verze změní všechny Vaše konfigurační soubory a frontu, a je
velmi pravděpodobné, že se po aktualizaci nebudete moci vrátit ke
starší verzi!!!
Před aktualizací dostahujte své soubory, jestliže jejich názvy
obsahují mezinárodní znaky - ty nemusí být správně převedeny.
*** VAROVÁNÍ ***

* opraveno zobrazení progressbaru v uploadqueue
* přidána možnost odstranit offline uživatele při vyběru více položek
* přidán průměrný share na uživatele (THX Corvik)
* přidán webserver (PhantomDC++, THX Chmelic za rozhraní)
* opraven pád při spuštění na starých Windows (THX Prologic)
* vrácena historie zpráv při kopnutí
* opraven pád při znovuvložení zdroje
* aktualizováno na PCRE 5.0
* převedeno do UTF-8 kvůli správné lokalizaci
* opraveno 100% využití CPU při stahování velkých souborů
* opraveny sloupce v Dokončených uploadech
* snad opraveno přetečení buferu
* uložený strom TTH je načten ihned po spuštění
* položky s 1 uživatelem jsou zobrazeny bez [+]
* přidána volba pro nastavení minimálního intervalu hledání
* přidáno nastavení barev v seznamu uživatelů (iDC++)
* vylepšeny ladící příkazy (DCDM++)
* opraven pád při zadání neplatného regulárního výrazu
* volba pro rozbalení nových výsledků hledání (BCDC++ SVN)
* přidělení slotu se ihned připojí (BCDC++ SVN)
* neprovádí reconnect, pokud segment končí na konci souboru (THX Liny)
* aktualizováno na WTL 7.5.4291
* snad opraven deadlock přenosů
* opraven pád při importování vzhledů
* přidána detekce rmDC++ 0.403B[7] a 0.403D[1] s emulací DC++
* progressbary ve frontě zobrazují ověřené bloky
* přidána volba pro vypnutí aktualizace fronty v reálném čase (ke snížení využití CPU)
* přidána volba pro vypnutí zobrazování chatu (zDC++)
* opraveno občasné zatuhnutí klienta při otevření fronty
* změněn vzhled progressbarů
* opraven problém při sdílení celé kořenové složky
* nástroj pro zjištění TTH hashuje ve vlastním threadu (THX Prologic)
* přidána položka pro otevření stavu hashování do hlavního menu (fulDC)
* opraveno stažení souboru pokud již existuje dočasný soubor plné velikosti
* aktualizováno na ZLIB 1.2.2
* odstraněno odstraňování diakritiky
* změna barev se projeví ihned (CZDC++)
* přidány vlajky států (CZDC++)
* aktivní/pasivní režim lze zvolit pro každý oblíbený hub
* přidána položka Otevřít vlastní seznam souborů do hlavního menu (fulDC)
* vylepšeno odpojování pomalých stahování (sekundy!!!; pouze při segm. stahování; opraven "Žádný volný blok")
* opraveno přesouvání podsložek ve frontě
* přidána podpora protokolu file:// do chatu
* opraven "Žádný volný blok", když se objevila chyba během dekomprese
* přidána volba pro přepnutí userlistu do horizontální polohy (DCDM++)
* v přenosech je zobrazen skutečný uplynulý čas
* přidáno tlačítko Pozastavit hledání (CZDC++)
* přidána volba pro nastavení maximálního počtu souběžně stahovaných souborů (výchozí = 15)
* opraven bug se ztrátou výsledků hledání
* je zobrazen čas do dalšího hledání
* přidána volba pro zapnutí/vypnutí antifragmentační metody
* segmenty mají pevnou velikost a není třeba rekonektnutí po stažení bloku


	-- StrongDC++ 1.00 RC8 --

* away je ukládán při vypnutí
* odpojování pomalých stahování lze nyní zapnout/vypnout pro jednotlivé soubory
* přidáno chybějící tlačítko Stažené informace o MP3 na lištu
* přidáno menu Kopírovat do menu záložky hubu
* přidáno nastavení pro přepnutí do starého vzhledu sdílení
* přidáno potvrzení při mazaní souboru z Přenosů
* přidáno procentuální vyjádření kontroly TTH
* přidáno tlačítko pro náhled zvuku v nastavení
* přidány 2 položky do menu záložky seznamů souborů
* přidány bublinové zprávy pro několik událostí
* přidány ikonky do fronty, které značí, zda je k dispozici strom TTH
* vyhledávací špion nyní podporuje hledání podle TTH

* nastavení je ukládáno do zvláštní složky (iDC++) - přesuňte své .xml soubory do složky Settings
* po skončení hashování je aktualizován seznam souborů (CZDC++)
* přidán obrázek pozadí (DCDM++)
* přidán progressbar do fronty odesílání (iDC++)
* přidána možnost vložit magnet link do fronty (CZDC++)
* přidáno jak dlouho čeká uživatel v upload queue a kdy byl poslední požadavek (CZDC++)
* synchronizace s CVS DC++ 0.40325

* aktualizováno na WTL 7.5.4196
* filtr hledání se aktivuje až po stisku Enter
* fronta hledání má prodlevu 30 sekund
* kód Fronty odesílání přesunut do hlavního threadu (x deadlock)
* logy chatu/PM jsou řazeny do podsložek
* optimalizováno seskupování položek v Přenosech
* v menu "Stáhnout do" jsou nabízeny pouze soubory se stejným TTH
* vylepšeno nastavování barev

* opraven filtr hledání při jiném seřazení sloupců
* opraven memory leak při detekci NetLimiteru
* opraven memory leak při hashování staženého souboru (THX PPK)
* opraven náhodný pád při odstraňování TestSUR po odpojení
* opraven pád při stahování informací o MP3
* opraveno nastavení úrovně komprese
* opraveno několik možných deadlocků
* opraveno překreslování seznamů ve Win2000
* opraveno zobrazení ikon v userlistu při kontrole uživatele


	-- StrongDC++ 1.00 RC7 --

* když je k dispozici Tiger Tree, jsou při poškozeném souboru staženy pouze chybné bloky
* na lištu přidáno tlačítko pro zapnutí/vypnutí zvuků
* při hledání jsou položky se stejným TTH seskupovány pod jednu [+] položku
* přidán filtr do hledání (podporuje regulérní příkazy)
* přidána kontrola uživatele, který se připojí na hub
* přidána položka pro odstranění offline uživatelů z fronty
* přidáno několik nových zvukových událostí
* přidáno několik položek do popupmenu při segmentovém stahování
* přidány ikonky online/offline/away do Oblíbených uživatelů

* automatické hledání alternativ podle RevConnectu
* fronta hledání proti searchspamu s prodlevou 15 sekund (RevConnect)
* několik novinek a změn z CZDC++
* při hledání jsou zvýrazněny soubory, které jsou již ve frontě (PhantomDC++)
* přidán pokus o znovupřipojení, když download dosáhne 0 B/s (DCDM++)
* přidána volba Hlásit hledání alternativ ve statusbaru (CZDC++)
* přidána volba pro načtení několika posledních řádků soukromé zprávy (CZDC++)
* synchronizace s CVS DC++ 0.404
* vylepšeno přijímání příkazů od klientů (CZDC++)

* automatické odstraňování pomalých zdrojů lze vypnout
* komprese je standardně povolena a měla by být funkční i se segmentovým stahováním
* NetLimiter je detekován pouze pokud se omezuje StrongDC++
* odstraněna Flood cache pro progressbary
* odstraněna volba pro neposílání tagu
* předělán userfilter + regulérní příkazy
* spouštěcí logo není Vždy na vrchu
* vylepšena aktualizace nových verzí (oDC++)
* vylepšeno odchytávání magnetů (BCDC++)
* vylepšeno segmentové stahování, které zaručí dobrou integritu souboru (THX Liny)
* vylepšeny profily klientů (DCDM++)
* změněn styl nabídek na XP (zDC++)
* změněn vzhled dialogu O programu (oDC++)
* změněn vzhled dialogu při pádu programu

* opraven bug v DC++ emulaci (THX PPK)
* opraven bug v nastavení sdílení
* opraven memory leak v SearchFrame
* opraven problém se stejnými přezdívkami na Toomaxxu
* opraven zvuk při zobrazení vlastního nicku
* opravena nemožnost stahovat od klientů založených na DC++ 0.402 CVS a vyšších
* opraveno away při minimalizaci
* opraveno importování tématu
* opraveno načítání RAW příkazů
* opraveno nekonečné připojování k uživateli, který je ve frontě vícekrát, při stahování na max segmentů
* opraveno řazení uploadů


	-- StrongDC++ 1.00 RC6 --

* doplněna chybějící položka Kopírovat TTH při hledání
* jednoduchá detekce NetLimitera
* nástroj pro zjištění TTH zobrazí magnet-link
* položky segmentového stahování jsou seskupovány pod jednu [+] položku (experimentální)
* při hashování dokončeného stahování je zobrazena zpráva na progressbaru
* při minimalizaci je nastavena nízká priorita (pouze Win2000/XP)
* při poškozeném souboru je stažení opakováno za 10 sekund
* při uložení fronty je vytvořena záloha
* přidána volba pro hledání souborů pouze s TTH
* přidána volba pro zobrazování rychlosti v popisu
* přidáno nastavení progressbarů pro segmenty
* v nástroji pro zjištění TTH lze řetězec zkopírovat do schránky
* volba pro automatické ukládání fronty v určitém časovém intervalu

* automatické nastavování priorit stahovaných souborů (PhantomDC++)
* automatické odstraňování diakritiky ze zpráv (CZDC++)
* ladící příkazy (DCDM++)
* několik změn podle CZDC++ 0.401[D]
* podpora magnet-linků (CZDC++, RevConnect)
* přidán sloupec Nick do vyhledávacího špiona (BCDC++)
* přidána položka Prohledat Bitzi do hledání (RevConnect)
* přidána volba pro nastavení max. počtu smajlíků v jedné zprávě (CZDC++)
* přidány progressbary do fronty, na kterých jsou vyznačeny stažené segmenty (CZDC++)
* stromová struktura pro výběr adresářů ke sdílení, neexistující složky jsou automaticky odstraněny (PossumMod)
* vylepšeno přijímání příkazů od hubu (CZDC++)
* záložky podle CZDC++
* zdrojový kód podle poslední CVS DC++ 0.402

* aktualizováno na STLPort 4.6.2
* aktualizováno na WTL 7.5
* automaticky jsou každých 20 sekund odstraňovány pouze zdroje pomalejší než 1kB/s
* hashování má Idle prioritu
* komprese povolena pouze s klienty >= 0.307
* minimální velikost segmentu je nastavena automaticky podle velikosti souboru
* profily klientů jsou nyní kompatibilní s DCDM++
* v transferviewu jsou zdroje vyhledávány podle TTH
* změna v segmentovém stahování

* opraven pád při odpojování pomalých stahování
* opraven pád při přijímání $MyInfo od RoboCopa
* opraven příkaz /me v chatu
* opraveno ukládání a načítání barvy OPů
* opraveno zatuhnutí na Tukanovi
* opraveno zobrazení náhledu v nastavení
* opraveno zobrazování nabídky v chatu při zavřeném userlistu
* snad opraveno skrolování v chatu


	-- StrongDC++ 1.00 RC5 --

* funkce Roll-forward, která zajistí správné navázání segmentů (experimentální)
* jednoduchý nástroj pro zjištění hodnoty TTH u souborů
* na lištu přidáno tlačítko pro zapnutí/vypnutí omezovače uploadu
* nová tlačítka pro export/import barevných schémat (načtení jiného vzhledu nelze vzít zpět!!!)
* nová zvuková událost, pokud se váš nick objeví v chatu
* po stažení soubor je vypočten hash a je zkontrolováno, zda se soubor stáhnul dobře
* při hledání je zobrazen počet nalezených souborů
* přidán barevný styl pro zvýrazňování nicků OPů
* přidána volba pro automatické nastavení IP adresy při každém spuštění
* přidáno okno Stažené informace o MP3

* automatické odpojení downloadů pomalejších než 1.2kB/s (RevConnect)
* filtr uživatelů (zDC++)
* odstraněn zbývající čas a rychlost u čekajících přenosů (DC++ 0.402 CVS)
* přidán popis do Profilů klientů (DCDM++)
* přidáno TTHSearch do $Supports při komunikaci Hub<->Client (DC++ 0.402 CVS)
* přidáno více parametrů pro RAW příkazy (DCDM++)
* vylepšena fronta čekatelů na slot (CZDC++)
* zadokumentováno %[line:reason] (DC++ 0.402 CVS)
* změna nastavení toolbaru se projeví ihned po uložení nastavení (CZDC++)
* zvýšena rychlost hashování (experimentální, DC++ 0.402 CVS)

* drobná změna v ikonkách uživatelů podle WinXP SP2
* hashování je povinné
* při hledání podle TTH je velikost nastavena na Normální (DC++ 0.402 CVS)
* při zaplém omezovači uploadu je při zaplé DC++ emulaci zobrazena rychlost v popisu
* změněn vzhled záložek (oDC++)

* možná opraven pád programu při počítání celkové rychlosti segmentů (THX ProLogic)
* opraven bug s dialogy Vyhledat složku
* opraven bug s ořezáváním smajlíků
* opraven drobný bug v emulaci DC++
* opraven pád při dvoukliku do Přenosů
* opraven problém s ComboBoxEx na systémech jiných než WinXP
* opraven problém s neomezeným růstem exceptioninfo (DC++ 0.402 CVS)
* opraveno kousnutí aplikace ve frontě čekatelů na slot
* opraveno kousnutí při zobrazení fronty (DC++ 0.402 CVS)
* opraveno obarvování seznamu pro výběr typu souboru při hledání
* provizorně opraveno opačné zobrazení poměru komprimovaných stahování


	-- StrongDC++ 1.00 RC4 --

* do userlistu přidány sloupečky Pk, Lock a Supports
* možnost nastavit si vlastní ikonky uživatelů
* přidána funkce Odstranit uživatele z fronty, pokud je rychlost pod určitou hranicí (THX Corvik)
* přidána volba pro hledání souborů přesné velikosti
* přidány ikonky do seznamu pro nastavení připojení
* regulární výrazy pro nastavení přípon pro segmentované stahování

* do user-nabídky přidány položky "Check File List", "Get user response" a "Report user" (DCDM++)
* nastavení výchozích adresářů pro stahování pro různé typy souborů (PhantomDC++)
* profily klientů (DCDM++)
* přidáni smajlíci (CZDC++)
* přidáno vlastní nastavení toolbaru (PhantomDC++)
* zdrojový kód založen na DC++ 0.401

* aktualizován STLPort na verzi 4.6.1
* AVIPreview nastaven jako výchozí prohlížeč filmů (pouze při čisté instalaci)
* hashování souborů je standardně zapnuto
* komprese je standardně vypnuta
* odstraněno Mapování souboru v paměti
* předělán Fake detector
* předělány ikonky v hlavní nabídce na 32bitové
* snížen interval pro vyprazdňování sady na 5 sekund (snižuje využití paměti)
* změněna ikona v liště při příchodu soukromé zprávy

* opraven memory leak při zavírání Navštívených hubů (THX PPK)
* opraveno několik dalších memory leaků
* opraveno otevírání odkazů v novém okně
* opraveno posílání počtu slotů v searchu
* opraveno posílání hashů v searchu
* opraveno přejmenování/přesunutí souboru ve frontě (experimentální)
* opraveno řazení číselných údajů v HubListu (THX PPK)
* opraveno ukládání sloupců v Navštívených hubech
* opraveno zamačkávání tlačítek na toolbaru


	-- StrongDC++ 1.00 RC3 --

* opraven pád při otevírání nabídky u souboru bez přípony
* opraven rozsah vnitřních IP adres (THX PPK)
* opraveno přijímání $MyInfa (THX PPK)
* opraveno vícenásobné zobrazování jména v nabídce soukromé zprávy
* opraveno zamrzání aplikace
* opraveno zjišťování novější verze programu

* do UserListu přidán sloupeček ISP (ISP a IP se zobrazuje pouze OPům)
* přidán příkaz /w pro winamp a F5 pro obnovení filelistu, odstraněn příkaz /back (THX Corvik)
* přidána nápověda na příkazu /help v chatu (THX Corvik)
* přidáno Kopírovat ISP, Nick+IP a Vše do UserListu (THX Corvik)
* ve frontě se při stahování zobrazuje počet online uživatelů (THX Corvik)

* přidán seznam nedávno otevřených hubů (iDC++)
* přidáno automatické vypnutí PC, pokud neprobíhají žádná stahování (oDC++)
* přidány ikonky do seznamu Typ souboru, nepodporuje barvy :-( (BCDC++ CVS, THX Corvik)
* tlačítka na liště jsou zamačkávací (iDC++)

* odstraněna uživatelská nabídka v PM (opravuje pád aplikace)
* odstraněno vytváření XMLFileListu, mělo by to urychlit spouštění programu


	-- StrongDC++ 1.00 RC2 --

* do nastavení přidáno tlačítko pro zjištění IP adresy a automatické nastavení active/passive (experimentální)
* možnost Nepoužívat segmentované stahování pro určité typy souborů
* možnost zastavit vyhledávání
* počet segmentů lze nastavit ručně nebo podle typu připojení
* pokud velikost sdílení obsahuje víc než 5 nul, je uživatel považován za fakera
* přidána emulace klientů CZDC++ a DC++
* přidána položka Hledat jiné zdroje do menu v přenosech
* přidána položka Zavřít do popup-nabídky na záložce hubu
* přidána volba pro nastavení minimální velikosti segmentu (výchozí hodnota je 64kB)
* přidána volba pro nastavení maximálního počtu alternativních zdrojů

* odstraněna možnost Automaticky provádět segmentované stahování
* volba Automaticky hledat alternativy přesunuta do sekce Segmentované stahování
* vylepšeno přidávání alternativních zdrojů do fronty
* změněno nastavení zvuků

* opraven pád aplikace v popup-nabídce ve frontě (oDC++)
* opraven Stealth mod (THX Corvik)
* opraveno spouštění internetových odkazů

* bloom filtry dramaticky zvyšují výkonnost CPU, pokud máte velký share (experimentální, DC++ 0.307 CVS)
* náhled souboru při stahování (PhantomDC++)
* při hledání jsou zjišťovány IP adresy uživatelů (BCDC++)
* přidána možnost, že názvy souborů musí být úplně stejné, aby se předešlo stažení špatného souboru (experimentální, DC++ 0.307 CVS)
* přidána volba Flood cache pro snížení využití CPU s novýma progressbarama (oDC++)
* přidáno nastavení detekce fakerů (DC++k CDM)
* přidáno TTH hashování souborů (experimentální, DC++ 0.307 CVS, BCDC++)
* seznamy souborů v XML, které obsahují hashe a podporují úplné názvy utf-8, špatné zobrazení českých znaků (experimentální, DC++ 0.307 CVS)
* zvýšena rychlost načítání share se spoustou souborů o stejné velikosti (experimentální, DC++ 0.307 CVS)
